# xxfi_helo

SYNOPSIS

    #include <libmilter/mfapi.h>
    sfsistat (*xxfi_helo)(
    	SMFICTX *ctx,
    	char *helohost
    );

Handle the HELO/EHLO command.

DESCRIPTION

Called When | xxfi_helo is called whenever the client sends a HELO/EHLO command. It may therefore be called several times or even not at all; some restrictions can be imposed by the MTA configuration.
Default Behavior | Do nothing; return SMFIS_CONTINUE.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.
helohost | Value passed to HELO/EHLO command, which should be the domain name of the sending host (but is, in practice, anything the sending host wants to send).

Copyright (c) 2000, 2003, 2005 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.